Name: winki
Version: 0.3.8
Release: alt1

Summary: Winki The Ripper

Url: http://www.winki-the-ripper.de/
License: GPL
Group: Development/Python

Source: %name-%version.tar.bz2

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
AutoProv: yes, nopython
Requires: python%__python_version(pygtk)
%add_python_req_skip winki

BuildPreReq: python-devel = %__python_version


%description
Winki The Ripper aims to be the most easiest to use program for video
encoding. It is actually just a graphical frontend for GNOME written
in python to command line tools like mencoder, mplayer, mkvtoolnix,
oggenc and lsdvd.

%prep
%setup -q
subst "s|'opt'|'usr/share'|" setup.py winki/lib.py


%build
python setup.py build

%install
install -d $RPM_BUILD_ROOT%_bindir

%__python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

#menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%_bindir/%name" icon="%name.png" needs="x11" title="WinKi" \\
longtitle="Winki The Ripper" section="Multimedia/Video"
EOF

mv %buildroot/%_bindir/WinkiRip %buildroot/%_bindir/%name

%find_lang %name --with-gnome

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
/etc/*
%_bindir/%name
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_menudir/%name
%python_sitelibdir/*

%changelog
* Sun Jun 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.8-alt1
- new version
- fix name of binary in menu file

* Wed Mar 23 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.6-alt2
- fix winki require

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.6-alt1
- new version
- add pygtk require

* Sat Mar 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt2
- fix files section

* Fri Mar 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt1
- first build for ALT Linux Sisyphus
